## lutok 0.4%2Bdfsg

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/jmmv/lutok/tags .*/lutok-(\d\S+)\.tar\.gz

## lutok 0.4+dfsg

=== examples/Makefile ===
# Copyright 2012 Google Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of Google Inc. nor the names of its contributors
#   may be used to endorse or promote products derived from this software
#   without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CXX ?= c++
CPPFLAGS ?=
CXXFLAGS ?= -Wall -O2
LDFLAGS ?=
LIBS ?=

LUTOK_CPPFLAGS = $$(pkg-config --cflags-only-I lutok)
LUTOK_CXXFLAGS = $$(pkg-config --cflags-only-other lutok)
LUTOK_LDFLAGS = $$(pkg-config --libs-only-L lutok) \
                $$(pkg-config --libs-only-other lutok)
LUTOK_LIBS = $$(pkg-config --libs-only-l lutok)

BUILD = $(CXX) \
        $(CPPFLAGS) $(LUTOK_CPPFLAGS) \
        $(CXXFLAGS) $(LUTOK_CXXFLAGS) \
        $(LDFLAGS) $(LUTOK_LDFLAGS) \
        -o $${target} $${source} \
        $(LIBS) $(LUTOK_LIBS)

PROGRAMS = bindings hello interpreter raii

.PHONY: all
all: $(PROGRAMS)

bindings: bindings.cpp
	@target=bindings source=bindings.cpp; echo $(BUILD); $(BUILD)

hello: hello.cpp
	@target=hello source=hello.cpp; echo $(BUILD); $(BUILD)

interpreter: interpreter.cpp
	@target=interpreter source=interpreter.cpp; echo $(BUILD); $(BUILD)

raii: raii.cpp
	@target=raii source=raii.cpp; echo $(BUILD); $(BUILD)

.PHONY: clean
clean:
	rm -f $(PROGRAMS)

=== debian/changelog ===
lutok (0.4+dfsg-4.1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:48:33 +0200

lutok (0.4+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build with lua5.1 (Closes: #1050748)

 -- Bastian Germann <bage@debian.org>  Mon, 28 Aug 2023 23:40:45 +0200

lutok (0.4+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix cross-builds (Closes: #942083)
    + Pass --host to ./configure.
    + Fix build/host and gnu-type/multiarch confusion.

  [ Nicolas Braud-Santoni ]
  * debian/control: Mark liblutok-doc as Multi-Arch: foreign

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 30 Oct 2019 14:52:05 +0100

lutok (0.4+dfsg-3) unstable; urgency=medium

  * liblutok3: Revert adding the symbols file, override lintian warning
    C++ symbol names vary across architectures, and using pkgkde_symbolshelper
    does not seem like it would improve the situation.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 18 Oct 2019 20:00:49 +0200

lutok (0.4+dfsg-2) unstable; urgency=medium

  * liblutok3: Add symbols file
  * Declare compliance with policy v4.4.1
    No change required.
  * Source-only upload should allow lutok to transition to testing.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 16 Oct 2019 17:44:56 +0200

lutok (0.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #932350)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 02 Aug 2019 00:52:59 +0200

=== debian/control ===
Source: lutok
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
Build-Depends: debhelper-compat (= 12), pkg-config,
               lua5.1, liblua5.1-0-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/jmmv/lutok/
Vcs-Browser: https://salsa.debian.org/debian/lutok
Vcs-Git: https://salsa.debian.org/debian/lutok.git

Package: liblutok-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblutok3 (= ${binary:Version}), liblua5.1-0-dev, ${misc:Depends}
Description: lightweight C++ API library for Lua -- development files
 Lutok provides thin C++ wrappers around the Lua C API to ease the
 interaction between C++ and Lua.  These wrappers make intensive use of
 RAII to prevent resource leakage, expose C++-friendly data types, report
 errors by means of exceptions and ensure that the Lua stack is always
 left untouched in the face of errors.  The library also provides a small
 subset of miscellaneous utility functions built on top of the wrappers.
 .
 Lutok focuses on providing a clean and safe C++ interface; the drawback
 is that it is not suitable for performance-critical environments.  In
 order to implement error-safe C++ wrappers on top of a Lua C binary
 library, Lutok adds several layers or abstraction and error checking
 that go against the original spirit of the Lua C API and thus degrade
 performance.
 .
 This package contains development files (headers, pkg-config files, ...)

Package: liblutok-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: liblutok-dev (= ${binary:Version})
Description: lightweight C++ API library for Lua -- documentation
 Lutok provides thin C++ wrappers around the Lua C API to ease the
 interaction between C++ and Lua.  These wrappers make intensive use of
 RAII to prevent resource leakage, expose C++-friendly data types, report
 errors by means of exceptions and ensure that the Lua stack is always
 left untouched in the face of errors.  The library also provides a small
 subset of miscellaneous utility functions built on top of the wrappers.
 .
 Lutok focuses on providing a clean and safe C++ interface; the drawback
 is that it is not suitable for performance-critical environments.  In
 order to implement error-safe C++ wrappers on top of a Lua C binary
 library, Lutok adds several layers or abstraction and error checking
 that go against the original spirit of the Lua C API and thus degrade
 performance.
 .
 This package contains the developer documentation & API reference.

Package: liblutok3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight C++ API library for Lua -- shared object
 Lutok provides thin C++ wrappers around the Lua C API to ease the
 interaction between C++ and Lua.  These wrappers make intensive use of
 RAII to prevent resource leakage, expose C++-friendly data types, report
 errors by means of exceptions and ensure that the Lua stack is always
 left untouched in the face of errors.  The library also provides a small
 subset of miscellaneous utility functions built on top of the wrappers.
 .
 Lutok focuses on providing a clean and safe C++ interface; the drawback
 is that it is not suitable for performance-critical environments.  In
 order to implement error-safe C++ wrappers on top of a Lua C binary
 library, Lutok adds several layers or abstraction and error checking
 that go against the original spirit of the Lua C API and thus degrade
 performance.
 .
 This package contains the linkable shared object.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	./configure --disable-silent-rules --disable-maintainer-mode      \
		--disable-dependency-tracking --build=$(DEB_BUILD_GNU_TYPE)     \
		--host=$(DEB_HOST_GNU_TYPE)                                     \
		--prefix=/usr --includedir=/usr/include                         \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)                         \
		--docdir=/usr/share/doc/liblutok3                               \
		--htmldir=/usr/share/doc/liblutok-doc/html

override_dh_missing:
	dh_missing --fail-missing

## lutok 0.6.2

=== debian/changelog ===
lutok (0.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.6.2 (Closes: #1124279)
  * Build doc package from source
  * Build with lua5.4
  * Repacking is no longer necessary

 -- Bastian Germann <bage@debian.org>  Mon, 29 Dec 2025 23:43:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lutok
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends: debhelper-compat (= 12), pkg-config,
-               lua5.1, liblua5.1-0-dev
+ liblua5.4-dev
+Build-Depends-Indep:
+ doxygen <!nodoc>,
+ graphviz <!nodoc>
 Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/jmmv/lutok/
@@ -14,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblutok3 (= ${binary:Version}), liblua5.1-0-dev, ${misc:Depends}
+Depends: liblutok3 (= ${binary:Version}), liblua5.4-dev, ${misc:Depends}
 Description: lightweight C++ API library for Lua -- development files
  Lutok provides thin C++ wrappers around the Lua C API to ease the
  interaction between C++ and Lua.  These wrappers make intensive use of
@@ -35,6 +37,7 @@
 Package: liblutok-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: liblutok-dev (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --without=autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	./configure --disable-silent-rules --disable-maintainer-mode      \
+	./configure --disable-silent-rules                                      \
 		--disable-dependency-tracking --build=$(DEB_BUILD_GNU_TYPE)     \
 		--host=$(DEB_HOST_GNU_TYPE)                                     \
 		--prefix=/usr --includedir=/usr/include                         \

=== debian/watch ===
version=4
https://github.com/jmmv/lutok/tags .*/lutok-(\d\S+)\.tar\.gz
